
package de.ivu.elect.presentation.wahlbeteiligung.chart;

import org.primefaces.model.chart.ChartModel;
import org.primefaces.model.chart.PieChartModel;

import de.ivu.elect.business.wahlbeteiligung.entity.WahlbeteiligungAuswertungPK;

public class WahlbeteiligungAuswertungChart {

  private final String id;

  private final WahlbeteiligungAuswertungPK auswertungPk;

  private final String separatorHeader;

  private final PieChartModel pieChartModel;

  public WahlbeteiligungAuswertungChart(WahlbeteiligungAuswertungPK auswertungPK, String separatorHeader, PieChartModel pieChartModel) {
    super();

    this.id = "chartWahlbeteiligung" + System.nanoTime();

    this.auswertungPk = auswertungPK;

    this.separatorHeader = separatorHeader;
    this.pieChartModel = pieChartModel;
  }

  public String getId() {
    return id;
  }

  public WahlbeteiligungAuswertungPK getAuswertungPk() {
    return auswertungPk;
  }

  public String getSeparatorHeader() {
    return separatorHeader;
  }

  public ChartModel getPieChartModel() {
    return pieChartModel;
  }
}
